﻿
/*
* getHolidayText
* Function	: 祝日の判定する。
* Input		: dtm 判定する日を表すDate Object
* Return	: 祝日の場合その日を表す文字列、そうでない場合NULL
*/
function getHolidayText(dtm) {
	var c = country.split(",");
	if (c[0].toUpperCase() == "JAPAN") {
		return getHolidayTextJapan(dtm, c[2]);
	} else if (c[0].toUpperCase() == "FRANCE") {
		return getHolidayTextFrance(dtm, c[2]);
	} else if (c[0].toUpperCase() == "USA") {
		return getHolidayTextUSA(dtm, c[2]);
	} else if (c[0].toUpperCase() == "TAIWAN") {
		return getHolidayTextTaiwan(dtm, c[2]);
	} else if (c[0].toUpperCase() == "DEUTCH") {
		return getHolidayTextDeutchland(dtm, c[2]);
	}
	return "";
}

/*
* getShiftDay Function
* Function	: 指定日にちだけずらした日付を返す。
* Input		: baseDay	基準になる日付けを表すDate Object
* 			: shiftDays	ずらす日数 (+ /- = 後 / 前 にずらす)
*, Return	: ずらした日付を表すDate Object
*/
function getShiftDay(baseDay, shiftDays) {
	var nextDay = new Date();
	nextDay.setTime(baseDay.getTime() + 24 * 3600 * 1000 * shiftDays);

	return nextDay;
}
